NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimSolution Class Reference

Represents a solution in the . More...

Inheritance diagram for NXOpen.CAE.SimSolution:
NXOpen.CAE.SimGroupContainer NXOpen.Report.IReportCollection NXOpen.NXObject NXOpen.INXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EnumVerifyResults { VerificationSuccess, ChecksumCalFailed, ResultsChanged, ResultsOutOfDate }
 result verify options More...
 
enum  SetupCheckOption { DoNotCheck, CheckAndStopAtFirstError, CompleteCheckAndOutputErrors }
 Model Setup Check Options More...
 
enum  SolveMode { Background, Foreground }
 Run Mode Options More...
 
enum  SolveOption {
  Solve, WriteSolverInputFile, SolveInputFile, WriteEditAndSolveInputFile,
  EditSolverInputFile, SolveModelQualityResults
}
 Solve Options More...
 
enum  StepPosition { First, Last, Before, After }
 Step creation options More...
 

Public Member Functions

unsafe void AddBc (NXOpen.CAE.SimBC bc)
 Add the bc to the solution Only the BC that not under the folder can be added to solution More...
 
unsafe void AddFolder (NXOpen.CAE.SimLbcFolder folder)
 Add the folder to the solution Only the folder not under other folder can be added to solution. More...
 
unsafe void AddPrerequisite (NXOpen.CAE.SimSolution prerequisite)
 Adds a prerequisite to the solution More...
 
unsafe void AddStep (NXOpen.CAE.SimSolutionStep step)
 Adds a step to the solution More...
 
unsafe void ApplySolverLanguageExportOptions (NXOpen.CAE.CaeDataContainer propertyList)
 Stores the solver language export options to the specified solution. More...
 
unsafe void CheckAnalysisQuality ()
 Check analysis quality on active structural solution More...
 
unsafe
NXOpen.CAE.CorrelAlignmentBuilder 
CreateAlignmentBuilder ()
 Creates the builder object for test and imported solution alignment dialog More...
 
unsafe
NXOpen.CAE.ConflictResolutionBuilder 
CreateConflictResolutionBuilder (NXOpen.CAE.SimGroupContainer tStep, NXOpen.CAE.SimBC tBc1, NXOpen.CAE.SimBC tBc2)
 Creates a conflict resolution builder for this input pair of BCs More...
 
unsafe
NXOpen.CAE.ConflictResolutionBuilder 
CreateConflictResolutionBuilder (NXOpen.CAE.SimBC tBc1, NXOpen.CAE.SimGroupContainer tStep1, NXOpen.CAE.SimBC tBc2, NXOpen.CAE.SimGroupContainer tStep2)
 Creates a conflict resolution builder for this input pair of BCs and two group containers More...
 
unsafe
NXOpen.CAE.ConflictResolutionBuilder 
CreateConflictResolutionBuilder (NXOpen.CAE.SimBC tBc, NXOpen.CAE.SimGroupContainer tStep, NXOpen.CAE.Override tOverride)
 Creates a conflict resolution builder for an input BC and an override recipe More...
 
unsafe
NXOpen.CAE.NodalForceReportBuilder 
CreateNodalForceReportBuilder (NXOpen.CAE.NodalForceReport nodalForceReport)
 Creates the builder to create and edit Nodal Force Report object More...
 
unsafe NXOpen.Report.Report CreateReport (string templateFile, string reportName, bool listError)
 Creates a Report.Report in this report collection. More...
 
unsafe
NXOpen.CAE.ResultProbeBuilder 
CreateResultProbeBuilder (NXOpen.CAE.ResultProbe resultProbe)
 Creates the builder to create and edit Result Probe object More...
 
unsafe
NXOpen.CAE.SMTDiagramsBuilder 
CreateSmtDiagramsBuilder ()
 Creates the builder to create and edit SMT Diagrams object More...
 
unsafe NXOpen.CAE.SMTOutputBuilder CreateSmtOutputBuilder ()
 Creates the builder to create SMT output graph objects More...
 
unsafe NXOpen.CAE.SimSolutionStep CreateStep (int stepType, string stepName)
 Creates a step and add to the solution More...
 
unsafe NXOpen.CAE.SimSolutionStep CreateStep (int stepType, bool makeActive, string stepName)
 Creates a step, adds it to the solution and optionally makes it the Active Step. More...
 
unsafe NXOpen.CAE.SimSolutionStep CreateStep (int stepType, bool makeActive, string stepName, NXOpen.CAE.SimSolution.StepPosition position, NXOpen.CAE.SimSolutionStep relativeStep)
 Create a step at the specified position, add to the solution and optionally make it active More...
 
unsafe void DeleteStep (NXOpen.CAE.SimSolutionStep step)
 Removes a step from the solution More...
 
unsafe void DetachLoadRecipe ()
 Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe More...
 
unsafe NXOpen.TaggedObject Find (string journalIdentifier)
 Returns the children of the Solution of the given Identifier More...
 
unsafe void GetAllResultProbes (out NXOpen.CAE.ResultProbe[] resultProbes)
 Get all result probe in solution More...
 
unsafe
NXOpen.CAE.IApplicationObjectManager 
GetApplicationObjectManagerByName (string name)
 Get Application Object Manager by name More...
 
unsafe NXOpen.CAE.SimBC[] GetBcs ()
 Gets all the BCs in this solution More...
 
unsafe void GetConflictBcOverrideByIndex (int index, out NXOpen.CAE.SimBC tBc, out NXOpen.CAE.SimGroupContainer tGroupContainer, out NXOpen.CAE.Override tOverride, out bool ignored)
 Returns the nth conflict BC and override recipe, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictBcOverrideCount - 1 More...
 
unsafe void GetConflictBcPairByIndex (int index, out NXOpen.CAE.SimBC tBc1, out NXOpen.CAE.SimGroupContainer tGroupContainer1, out NXOpen.CAE.SimBC tBc2, out NXOpen.CAE.SimGroupContainer tGroupContainer2, out bool ignored)
 Returns the nth conflict BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictBcPairCount - 1 More...
 
unsafe void GetConflictingBcPairByIndex (int index, out NXOpen.CAE.SimBC tBc1, out NXOpen.CAE.SimBC tBc2, out bool ignored)
 Returns the nth conflicting BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount - 1 More...
 
unsafe string GetDisplayNameOfSolutionType ()
 Get the display name of solution type More...
 
unsafe string GetDisplayNameOfSolverType ()
 Get the display name of solver type More...
 
unsafe NXOpen.CAE.SimLbcFolder[] GetFolders ()
 Gets all the root folders in this solution More...
 
unsafe string GetManagedResultFile ()
 Get the managed result file name More...
 
unsafe void GetReports (out NXOpen.Report.Report[] pReports)
 Gets all reports in the report collection. More...
 
unsafe void GetResultFile (out string resultfiledir, out string resfilename)
 Get the result file directory and result file name More...
 
unsafe void GetResultFileUnits (out NXOpen.Unit[] units)
 Get basic 6 units which are stored with solution used for loading the result file More...
 
unsafe
NXOpen.CAE.SimResultReference 
GetResultReferenceByIndex (int resultIndex)
 Returns the Result Reference at the index passed More...
 
unsafe NXOpen.CAE.SimSolutionStep GetStepByIndex (int stepIndex)
 Returns the step at the index passed More...
 
unsafe NXOpen.CAE.SimBC[] GetUnfolderedBcs ()
 Gets all the unfoldered BCs in this solution More...
 
unsafe void MoveStep (NXOpen.CAE.SimSolutionStep stepToMove, NXOpen.CAE.SimSolution.StepPosition position, NXOpen.CAE.SimSolutionStep relativeStep)
 Moves step to the specified position More...
 
unsafe bool RegisterResults ()
 Register result with solution More...
 
unsafe void RemoveAllConstraints ()
 Remove all constraints from the solution More...
 
unsafe void RemoveAllLoads ()
 Remove all loads from the solution More...
 
unsafe void RemoveAllSimulationObjects ()
 Remove all simulation objects from the solution More...
 
unsafe void RemoveBc (NXOpen.CAE.SimBC bc)
 Remove the bc from the solution Only the BC that not under the folder can be remove from solution More...
 
unsafe void RemoveFolder (NXOpen.CAE.SimLbcFolder folder)
 Remove the folder from the solution Only the folder not under other folder can be removed from solution. More...
 
unsafe void RemovePrerequisite (NXOpen.CAE.SimSolution prerequisite)
 Remove a prerequisite to the solution More...
 
unsafe void Rename (string name, bool renameResults)
 Rename Solution and optionally rename associated results files More...
 
unsafe void ResolveConstraintConflicts ()
 Runs the Assisted Conflict Check Mechanism for all constraints NXOpen.CAE.SimConstraint in an active solution NXOpen.CAE.SimSolution and/or in an active step NXOpen.CAE.SimSolutionStep generating new constraints NXOpen.CAE.SimConstraint if there is any conflcit between the constraints. More...
 
unsafe void SetFemValidInPost (bool valid)
 Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model More...
 
unsafe void SetInferredResultFile ()
 Clear previously specified result file location More...
 
unsafe void SetInferredResultFileUnits ()
 Clears previously specified result file units More...
 
unsafe void SetLocalResultFile (string dirpath, string filename)
 Specify local result file More...
 
unsafe void SetManagedResultFile (string file)
 Specify managed result file More...
 
unsafe void SetResultFileUnits (NXOpen.Unit[] units)
 Set result file units More...
 
unsafe void SetTimePropsFromConditionSequence (NXOpen.CAE.SimConditionSequence conditionSeqeunce)
 Set the time properties for this solution based on the given condition sequences More...
 
unsafe void SetTimePropsFromConditionSequence (NXOpen.CAE.SimConditionSequence conditionSeqeunce, int numSteps)
 Set the time properties for this solution based on the given condition sequences and number of integration steps More...
 
unsafe void SetTimePropsFromConditionSequence (NXOpen.CAE.SimConditionSequence conditionSeqeunce, double stepSize, NXOpen.Unit stepUnit)
 Set the time properties for this solution based on the given condition sequences and integration step size More...
 
unsafe void Solve (NXOpen.CAE.SimSolution.SolveOption solveOption, NXOpen.CAE.SimSolution.SetupCheckOption setupCheckOption)
 Solves the solution More...
 
unsafe void UnregisterResults ()
 Unregister result with solution More...
 
unsafe void UpdateFromLoadRecipe ()
 Update steps and loads of this solution created from load recipe More...
 
unsafe
NXOpen.CAE.SimSolution.EnumVerifyResults 
VerifyResults ()
 Verify result with solution More...
 
- Public Member Functions inherited from NXOpen.CAE.SimGroupContainer
unsafe
NXOpen.CAE.SimConstraintGroup 
CreateConstraintGroup ()
 Creates a constraint group for a solution or solution step More...
 
unsafe NXOpen.CAE.SimLoadGroup CreateLoadGroup ()
 Creates a load group for a solution or solution step More...
 
unsafe
NXOpen.CAE.SimSimulationObjectGroup 
CreateSimulationObjectGroup ()
 Creates a simulation object group for a solution or solution step More...
 
unsafe void DeleteGroup (NXOpen.CAE.SimBcGroup lbGroup)
 Deletes a BC group from this group container More...
 
unsafe int GetGroupCount ()
 Returns the number of groups in this container More...
 
unsafe NXOpen.CAE.SimBcGroup[] GetGroups ()
 Gets the BC groups in this group container More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 
- Public Member Functions inherited from NXOpen.Report.IReportCollection
void GetReports (out NXOpen.Report.Report[] pReports)
 Gets all reports in the report collection. More...
 

Properties

unsafe
NXOpen.CAE.SimSimulation.AxisymAbstractionType 
AbstractionType [get]
 Returns the abstraction type More...
 
unsafe NXOpen.CAE.SimSolutionStep ActiveStep [get, set]
 Returns or sets the active step More...
 
unsafe int AllowedStepTypeCount [get]
 Returns the count of allowable step types More...
 
unsafe string AnalysisType [get]
 Returns the analysis type More...
 
unsafe NXOpen.CAE.SimLoadRecipe AttachedLoadRecipe [get]
 Returns the CAE.SimLoadRecipe attached to this solution. More...
 
unsafe int ConflictBcOverrideCount [get]
 Returns the number of conflicts between a BC and an override recipe in this solution More...
 
unsafe int ConflictBcPairCount [get]
 Returns the number of conflict BC pairs in this solution More...
 
unsafe int ConflictingBcCount [get]
 Returns the number of conflicting BC pairs in this solution More...
 
unsafe NXOpen.CAE.PropertyTable PropertyTable [get]
 Returns the property table associated with the solution object More...
 
unsafe int ResultReferenceCount [get]
 Returns the number of Result References More...
 
unsafe string SolutionType [get]
 Returns the solution type More...
 
unsafe NXOpen.CAE.PropertyTable SolverOptionsPropertyTable [get]
 Returns the property table associated with the solution's solver options More...
 
unsafe string SolverType [get]
 Returns the solver type More...
 
unsafe int StepCount [get]
 Returns the number of steps More...
 
- Properties inherited from NXOpen.CAE.SimGroupContainer
unsafe bool IsConstraintGroupAllowed [get]
 Returns a value indicating whether a constraint group is allowed for this group container More...
 
unsafe bool IsLoadGroupAllowed [get]
 Returns a value indicating whether a load group is allowed for this group container More...
 
unsafe bool IsSimulationObjectGroupAllowed [get]
 Returns a value indicating whether a simulation object group is allowed for this group container More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a solution in the .

sim files.

For more information, refer to the Solver language documentation in the SolverLanguageDocumentation

.

To create a new instance of this class, use NXOpen.CAE.SimSimulation.CreateSolution

Created in NX4.0.0

Member Enumeration Documentation

result verify options

Enumerator
VerificationSuccess 

Verification successful and results are in sync

ChecksumCalFailed 

Checksum calculation failed

ResultsChanged 

Results have changed after registration

ResultsOutOfDate 

results are out of date with respect to input deck

Model Setup Check Options

Enumerator
DoNotCheck 

do perform any set up checks

CheckAndStopAtFirstError 

perform set up checks but stop at first error

CompleteCheckAndOutputErrors 

perform all set up checks and report all errors

Run Mode Options

Enumerator
Background 

Run the solver in background

Foreground 

Run the solver in foreground

Solve Options

Enumerator
Solve 

write solver input file and launch solve

WriteSolverInputFile 

write solver input file only

SolveInputFile 

launch solve with existing solver input file

WriteEditAndSolveInputFile 

write solver input file, allow edit and then launch solve

EditSolverInputFile 

edit existing solver input file

SolveModelQualityResults 

solve model quality results

Step creation options

Enumerator
First 

first

Last 

last

Before 

before the specified step

After 

after the specified step

Member Function Documentation

unsafe void NXOpen.CAE.SimSolution.AddBc ( NXOpen.CAE.SimBC  bc)
inline

Add the bc to the solution Only the BC that not under the folder can be added to solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcthe bc to be added
unsafe void NXOpen.CAE.SimSolution.AddFolder ( NXOpen.CAE.SimLbcFolder  folder)
inline

Add the folder to the solution Only the folder not under other folder can be added to solution.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
folderthe folder to be added
unsafe void NXOpen.CAE.SimSolution.AddPrerequisite ( NXOpen.CAE.SimSolution  prerequisite)
inline

Adds a prerequisite to the solution

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
prerequisiteprerequisite solution to be added
unsafe void NXOpen.CAE.SimSolution.AddStep ( NXOpen.CAE.SimSolutionStep  step)
inline

Adds a step to the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepsolution step to be added
unsafe void NXOpen.CAE.SimSolution.ApplySolverLanguageExportOptions ( NXOpen.CAE.CaeDataContainer  propertyList)
inline

Stores the solver language export options to the specified solution.

Created in NX8.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
propertyListthe export option parameters. See CAE.CaeSession.GetDataContainer .
unsafe void NXOpen.CAE.SimSolution.CheckAnalysisQuality ( )
inline

Check analysis quality on active structural solution

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.CorrelAlignmentBuilder NXOpen.CAE.SimSolution.CreateAlignmentBuilder ( )
inline

Creates the builder object for test and imported solution alignment dialog

Created in NX7.5.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.TestModel instead.

License requirements: nx_correl_base ("FE Correlation")

Returns
unsafe NXOpen.CAE.ConflictResolutionBuilder NXOpen.CAE.SimSolution.CreateConflictResolutionBuilder ( NXOpen.CAE.SimGroupContainer  tStep,
NXOpen.CAE.SimBC  tBc1,
NXOpen.CAE.SimBC  tBc2 
)
inline

Creates a conflict resolution builder for this input pair of BCs

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tStepsolution step. can be same as solution
tBc1first BC in conflict
tBc2second BC in conflict
Returns
unsafe NXOpen.CAE.ConflictResolutionBuilder NXOpen.CAE.SimSolution.CreateConflictResolutionBuilder ( NXOpen.CAE.SimBC  tBc1,
NXOpen.CAE.SimGroupContainer  tStep1,
NXOpen.CAE.SimBC  tBc2,
NXOpen.CAE.SimGroupContainer  tStep2 
)
inline

Creates a conflict resolution builder for this input pair of BCs and two group containers

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tBc1first BC in conflict
tStep1solution step. can be same as solution
tBc2second BC in conflict
tStep2solution step. can be same as solution
Returns
unsafe NXOpen.CAE.ConflictResolutionBuilder NXOpen.CAE.SimSolution.CreateConflictResolutionBuilder ( NXOpen.CAE.SimBC  tBc,
NXOpen.CAE.SimGroupContainer  tStep,
NXOpen.CAE.Override  tOverride 
)
inline

Creates a conflict resolution builder for an input BC and an override recipe

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tBcBC in conflict
tStepsolution step. can be same as solution
tOverrideoverride recipe
Returns
unsafe NXOpen.CAE.NodalForceReportBuilder NXOpen.CAE.SimSolution.CreateNodalForceReportBuilder ( NXOpen.CAE.NodalForceReport  nodalForceReport)
inline

Creates the builder to create and edit Nodal Force Report object

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
nodalForceReport
Returns
unsafe NXOpen.Report.Report NXOpen.CAE.SimSolution.CreateReport ( string  templateFile,
string  reportName,
bool  listError 
)
inline

Creates a Report.Report in this report collection.

NX will not create a report if the report name is empty or existed.

Created in NX11.0.0

License requirements: nx_design_sim ("NX Design Simulation")

Parameters
templateFileTemplate file name with full path
reportNameReport name
listErrorlist error information in listing window
Returns

Implements NXOpen.Report.IReportCollection.

unsafe NXOpen.CAE.ResultProbeBuilder NXOpen.CAE.SimSolution.CreateResultProbeBuilder ( NXOpen.CAE.ResultProbe  resultProbe)
inline

Creates the builder to create and edit Result Probe object

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultProbe
Returns
unsafe NXOpen.CAE.SMTDiagramsBuilder NXOpen.CAE.SimSolution.CreateSmtDiagramsBuilder ( )
inline

Creates the builder to create and edit SMT Diagrams object

Created in NX1899.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe NXOpen.CAE.SMTOutputBuilder NXOpen.CAE.SimSolution.CreateSmtOutputBuilder ( )
inline

Creates the builder to create SMT output graph objects

Created in NX1899.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSolution.CreateStep ( int  stepType,
string  stepName 
)
inline

Creates a step and add to the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepTypeindex of the step type
stepNamename of the step
Returns
step NXOpen.CAE.SimSolutionStep to be added
unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSolution.CreateStep ( int  stepType,
bool  makeActive,
string  stepName 
)
inline

Creates a step, adds it to the solution and optionally makes it the Active Step.

Making it the active step will also make the Solution active if it is not already.

Created in NX8.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
Returns
step NXOpen.CAE.SimSolutionStep to be added
unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSolution.CreateStep ( int  stepType,
bool  makeActive,
string  stepName,
NXOpen.CAE.SimSolution.StepPosition  position,
NXOpen.CAE.SimSolutionStep  relativeStep 
)
inline

Create a step at the specified position, add to the solution and optionally make it active

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
positionrelative position
relativeStepthe step with respect to which the relative position is specified
Returns
step NXOpen.CAE.SimSolutionStep to be added
unsafe void NXOpen.CAE.SimSolution.DeleteStep ( NXOpen.CAE.SimSolutionStep  step)
inline

Removes a step from the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepstep NXOpen.CAE.SimSolutionStep to be added
unsafe void NXOpen.CAE.SimSolution.DetachLoadRecipe ( )
inline

Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.TaggedObject NXOpen.CAE.SimSolution.Find ( string  journalIdentifier)
inline

Returns the children of the Solution of the given Identifier

Created in NX10.0.0

License requirements: None.

Parameters
journalIdentifierJournal identifier of the object
Returns
unsafe void NXOpen.CAE.SimSolution.GetAllResultProbes ( out NXOpen.CAE.ResultProbe[]  resultProbes)
inline

Get all result probe in solution

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultProbes
unsafe NXOpen.CAE.IApplicationObjectManager NXOpen.CAE.SimSolution.GetApplicationObjectManagerByName ( string  name)
inline

Get Application Object Manager by name

Created in NX1847.0.0

License requirements: None.

Parameters
nameobject manager name
Returns
unsafe NXOpen.CAE.SimBC [] NXOpen.CAE.SimSolution.GetBcs ( )
inline

Gets all the BCs in this solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
Resultant bcs
unsafe void NXOpen.CAE.SimSolution.GetConflictBcOverrideByIndex ( int  index,
out NXOpen.CAE.SimBC  tBc,
out NXOpen.CAE.SimGroupContainer  tGroupContainer,
out NXOpen.CAE.Override  tOverride,
out bool  ignored 
)
inline

Returns the nth conflict BC and override recipe, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictBcOverrideCount - 1

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
indexindex of the conflict BC and override recipe, which is between 0 and NXOpen.CAE.SimSolution.ConflictBcOverrideCount - 1
tBcBC for this conflict
tGroupContainerGroup Container for BC
tOverrideoverride recipe
ignoredindicates that this conflict was previously resolved using the NXOpen.CAE.ConflictResolutionBuilder.Rule.IgnoreConflict
unsafe void NXOpen.CAE.SimSolution.GetConflictBcPairByIndex ( int  index,
out NXOpen.CAE.SimBC  tBc1,
out NXOpen.CAE.SimGroupContainer  tGroupContainer1,
out NXOpen.CAE.SimBC  tBc2,
out NXOpen.CAE.SimGroupContainer  tGroupContainer2,
out bool  ignored 
)
inline

Returns the nth conflict BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictBcPairCount - 1

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
indexindex of the conflict BC pair, which is between 0 and NXOpen.CAE.SimSolution.ConflictBcPairCount - 1
tBc1BC1 for this conflict pair
tGroupContainer1Group Container for BC1
tBc2BC2 for this conflict pair
tGroupContainer2Group Container for BC2
ignoredindicates that this conflict pair was previously resolved using the NXOpen.CAE.ConflictResolutionBuilder.Rule.IgnoreConflict
unsafe void NXOpen.CAE.SimSolution.GetConflictingBcPairByIndex ( int  index,
out NXOpen.CAE.SimBC  tBc1,
out NXOpen.CAE.SimBC  tBc2,
out bool  ignored 
)
inline

Returns the nth conflicting BC pair, where the index is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount - 1

Created in NX10.0.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.SimSolution.GetConflictBcPairByIndex instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
indexindex of the conflicting BC pair, which is between 0 and NXOpen.CAE.SimSolution.ConflictingBcCount - 1
tBc1BC1 for this conflict pair
tBc2BC2 for this conflict pair
ignoredindicates that this conflict pair was previously resolved using the NXOpen.CAE.ConflictResolutionBuilder.Rule.IgnoreConflict
unsafe string NXOpen.CAE.SimSolution.GetDisplayNameOfSolutionType ( )
inline

Get the display name of solution type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The display name of solution type
unsafe string NXOpen.CAE.SimSolution.GetDisplayNameOfSolverType ( )
inline

Get the display name of solver type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The display name of solver type
unsafe NXOpen.CAE.SimLbcFolder [] NXOpen.CAE.SimSolution.GetFolders ( )
inline

Gets all the root folders in this solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
Resultant bcs
unsafe string NXOpen.CAE.SimSolution.GetManagedResultFile ( )
inline

Get the managed result file name

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :GetManagedResultFile instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
managed result file name
unsafe void NXOpen.CAE.SimSolution.GetReports ( out NXOpen.Report.Report[]  pReports)
inline

Gets all reports in the report collection.

Created in NX11.0.0

License requirements: nx_design_sim ("NX Design Simulation")

Parameters
pReports
unsafe void NXOpen.CAE.SimSolution.GetResultFile ( out string  resultfiledir,
out string  resfilename 
)
inline

Get the result file directory and result file name

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :GetResultFile instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultfiledirdirectly path where result file is stored
resfilenameresult file name
unsafe void NXOpen.CAE.SimSolution.GetResultFileUnits ( out NXOpen.Unit[]  units)
inline

Get basic 6 units which are stored with solution used for loading the result file

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :GetResultFileUnits instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
units6 basic units used to define the quantities in result file in order of mass, length, time, temperature, angle, and thermal energy
unsafe NXOpen.CAE.SimResultReference NXOpen.CAE.SimSolution.GetResultReferenceByIndex ( int  resultIndex)
inline

Returns the Result Reference at the index passed

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultIndexindex of the result reference
Returns
step NXOpen.CAE.SimResultReference at the index
unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSolution.GetStepByIndex ( int  stepIndex)
inline

Returns the step at the index passed

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepIndexindex of the step
Returns
step NXOpen.CAE.SimSolutionStep at the index
unsafe NXOpen.CAE.SimBC [] NXOpen.CAE.SimSolution.GetUnfolderedBcs ( )
inline

Gets all the unfoldered BCs in this solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
Resultant bcs
unsafe void NXOpen.CAE.SimSolution.MoveStep ( NXOpen.CAE.SimSolutionStep  stepToMove,
NXOpen.CAE.SimSolution.StepPosition  position,
NXOpen.CAE.SimSolutionStep  relativeStep 
)
inline

Moves step to the specified position

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepToMovestep to move
positionrelative position
relativeStepthe step with respect to which the relative position is specified
unsafe bool NXOpen.CAE.SimSolution.RegisterResults ( )
inline

Register result with solution

Created in NX1847.0.0

License requirements: None.

Returns
unsafe void NXOpen.CAE.SimSolution.RemoveAllConstraints ( )
inline

Remove all constraints from the solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.RemoveAllLoads ( )
inline

Remove all loads from the solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.RemoveAllSimulationObjects ( )
inline

Remove all simulation objects from the solution

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.RemoveBc ( NXOpen.CAE.SimBC  bc)
inline

Remove the bc from the solution Only the BC that not under the folder can be remove from solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcthe bc to be removed
unsafe void NXOpen.CAE.SimSolution.RemoveFolder ( NXOpen.CAE.SimLbcFolder  folder)
inline

Remove the folder from the solution Only the folder not under other folder can be removed from solution.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
folderthe folder to be removed
unsafe void NXOpen.CAE.SimSolution.RemovePrerequisite ( NXOpen.CAE.SimSolution  prerequisite)
inline

Remove a prerequisite to the solution

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
prerequisiteprerequisite solution to be removed
unsafe void NXOpen.CAE.SimSolution.Rename ( string  name,
bool  renameResults 
)
inline

Rename Solution and optionally rename associated results files

Created in NX6.0.2

License requirements: None.

Parameters
namenew solution name
renameResultstrue if you what associated results files to be renamed as well
unsafe void NXOpen.CAE.SimSolution.ResolveConstraintConflicts ( )
inline

Runs the Assisted Conflict Check Mechanism for all constraints NXOpen.CAE.SimConstraint in an active solution NXOpen.CAE.SimSolution and/or in an active step NXOpen.CAE.SimSolutionStep generating new constraints NXOpen.CAE.SimConstraint if there is any conflcit between the constraints.

Created in NX6.0.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.SimSolution.CreateConflictResolutionBuilder instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.SetFemValidInPost ( bool  valid)
inline

Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
validvalid or not
unsafe void NXOpen.CAE.SimSolution.SetInferredResultFile ( )
inline

Clear previously specified result file location

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :SetInferredResultFile instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.SetInferredResultFileUnits ( )
inline

Clears previously specified result file units

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :SetInferredResultFileUnits instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe void NXOpen.CAE.SimSolution.SetLocalResultFile ( string  dirpath,
string  filename 
)
inline

Specify local result file

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :SetLocalResultFile instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
dirpathdirectory name
filenamefile name
unsafe void NXOpen.CAE.SimSolution.SetManagedResultFile ( string  file)
inline

Specify managed result file

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :SetManagedResultFile instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
filefile name
unsafe void NXOpen.CAE.SimSolution.SetResultFileUnits ( NXOpen.Unit[]  units)
inline

Set result file units

Created in NX8.5.0

Deprecated in NX10.0.0. Use NXOpen.CAE.SimResultReference :SetResultFileUnits instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
units6 units for mass, length, time, temperature, angle, and thermal energy
unsafe void NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce)
inline

Set the time properties for this solution based on the given condition sequences

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen.CAE.SimConditionSequence
unsafe void NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce,
int  numSteps 
)
inline

Set the time properties for this solution based on the given condition sequences and number of integration steps

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen.CAE.SimConditionSequence
numStepsnumber of integration steps
unsafe void NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce,
double  stepSize,
NXOpen.Unit  stepUnit 
)
inline

Set the time properties for this solution based on the given condition sequences and integration step size

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen.CAE.SimConditionSequence
stepSizesize of integration steps
stepUnitstep size NXOpen.Unit
unsafe void NXOpen.CAE.SimSolution.Solve ( NXOpen.CAE.SimSolution.SolveOption  solveOption,
NXOpen.CAE.SimSolution.SetupCheckOption  setupCheckOption 
)
inline

Solves the solution

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solveOptionsolve option
setupCheckOptionsetup check option
unsafe void NXOpen.CAE.SimSolution.UnregisterResults ( )
inline

Unregister result with solution

Created in NX1847.0.0

License requirements: None.

unsafe void NXOpen.CAE.SimSolution.UpdateFromLoadRecipe ( )
inline

Update steps and loads of this solution created from load recipe

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SimSolution.EnumVerifyResults NXOpen.CAE.SimSolution.VerifyResults ( )
inline

Verify result with solution

Created in NX1847.0.0

License requirements: None.

Returns

Property Documentation

unsafe NXOpen.CAE.SimSimulation.AxisymAbstractionType NXOpen.CAE.SimSolution.AbstractionType
get

Returns the abstraction type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSolution.ActiveStep
getset

Returns or sets the active step

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimSolution.AllowedStepTypeCount
get

Returns the count of allowable step types

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe string NXOpen.CAE.SimSolution.AnalysisType
get

Returns the analysis type

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SimLoadRecipe NXOpen.CAE.SimSolution.AttachedLoadRecipe
get

Returns the CAE.SimLoadRecipe attached to this solution.

Created in NX12.0.0

License requirements: None.

unsafe int NXOpen.CAE.SimSolution.ConflictBcOverrideCount
get

Returns the number of conflicts between a BC and an override recipe in this solution

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimSolution.ConflictBcPairCount
get

Returns the number of conflict BC pairs in this solution

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimSolution.ConflictingBcCount
get

Returns the number of conflicting BC pairs in this solution

Created in NX10.0.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.SimSolution.ConflictBcPairCount instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.PropertyTable NXOpen.CAE.SimSolution.PropertyTable
get

Returns the property table associated with the solution object

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimSolution.ResultReferenceCount
get

Returns the number of Result References

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe string NXOpen.CAE.SimSolution.SolutionType
get

Returns the solution type

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.PropertyTable NXOpen.CAE.SimSolution.SolverOptionsPropertyTable
get

Returns the property table associated with the solution's solver options

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe string NXOpen.CAE.SimSolution.SolverType
get

Returns the solver type

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SimSolution.StepCount
get

Returns the number of steps

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.